Subject: Re: bug#5157: recent change in font selection in CVS

From: Jan Djärv <[email-masked]>
Date: Wed, 06 Jan 2010 20:44:55 +0100

Glenn Morris skrev:
> Some time in the past month, the fonts Emacs uses for italic and
> variable pitch have changed.
> 

Can you try again on a recent trunk?  I've made changes.
Thanks,

	Jan D.

> In ~/.Xdefaults I have:
> 
> Emacs.font: -misc-fixed-medium-r-normal--15-140-75-75-c-90-iso8859-1
> 
> In ~/.emacs, I have
> 
> (face-spec-set 'italic
>                    '((t (:slant italic :underline nil :family "helvetica"))))
> 
> In a CVS version from 2009-11-03, I get the following fonts for italic
> and variable-pitch:
> 
> x:-adobe-helvetica-medium-o-normal--14-140-75-75-p-78-iso8859-1
> xft:-unknown-DejaVu LGC Sans-normal-normal-normal-*-15-*-*-*-*-0-iso10646-1
> 
> In the current trunk, I get:
> x:-misc-fixed-medium-r-normal--15-140-75-75-c-90-iso8859-1
> x:-misc-fixed-medium-r-normal--15-140-75-75-c-90-iso8859-1
> 
> Is there some way I can get the previous fonts back?
> 
> font-show-log output is attached.
> 
> In GNU Emacs 23.1.50.1 (x86_64-unknown-linux-gnu, X toolkit)
> Windowing system distributor `The X.Org Foundation', version 11.0.70101000
> configured using `configure '--with-pop' '--without-xaw3d' '--without-xim'
>  '--x-libraries=/usr/lib64' '--x-includes=/usr/include/X11' '--with-x'
>  '--with-x-toolkit=athena' '--without-toolkit-scroll-bars''
>